#!/bin/sh -e

dest="${1}/${HOME}/.config"

cd misc

for file in *
   do
      if [ "${file}" = "legacy" ]
         then
            true
      elif [ "${file}" = "$(echo $file | grep -e "\\\\*.sh")" ] || [ "${file}" = "$(echo $file | grep -e "\\\\*.es")" ]
         then
            install -Dm755 "${file}" "${dest}/fxde/fxde-core/scripts/${file}"
      elif [ "${file}" = "xsession" ]
         then
            install -Dm755 "${file}" "${dest}/../.xsession"
      elif [ "${file}" = "esrc" ]
         then
            install -Dm644 "${file}" "${dest}/../.esrc"
      elif [ "${file}" = "init.el" ]
         then
            install -Dm644 "${file}" "${dest}/emacs/init.el"
      elif [ "${file}" = "gtkrc-2.0" ]
         then
            install -Dm644 "${file}" "${dest}/../.gtkrc-2.0"
      else
            install -Dm755 "${file}" "${dest}/fxde/fxde-core/config/${file}"
      fi
   done

cd ../terminal

for file in *
   do
      if [ $(echo ${file}|grep -e "\\\\*yash\\\\*") ]
         then
            install -Dm644 "${file}" "${dest}/yash/conf/${file}"
         else
            install -Dm644 "${file}" "${dest}/${file}"
      fi
   done

cd ../xresources
for file in *
   do
      install -Dm644 "${file}" "${dest}/xresources/${file}"
   done
